import 'package:flutter/material.dart';
import '../widgets/app_background.dart';
import '../widgets/settings_bar.dart';

class AboutScreen extends StatelessWidget {
  const AboutScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        body: AppBackground(
          child: Column(
            children: [
              /// -------------------- SETTINGS BAR --------------------
              SettingsBar(
                selectedIndex: 0,
                onTap: (_) {},
                showBackButton: true,
                onBackTap: () => Navigator.pop(context),
                iconPaths: const [],
              ),

              const SizedBox(height: 12),

              /// -------------------- CENTER CONTENT --------------------
              ///
              Expanded(
                child: Center(
                  child: Align(
                    alignment: Alignment.topCenter,
                    child: Directionality(
                      textDirection: TextDirection.rtl,
                      child: Column(
                        mainAxisSize: MainAxisSize.min,
                        children: [
                          const Text(
                            "عن الشركة",
                            style: TextStyle(
                              fontSize: 26,
                              fontWeight: FontWeight.bold,
                              color: Colors.white,
                            ),
                          ),

                          const SizedBox(height: 12),

                          Container(
                            width: 200,
                            height: 1,
                            color: Color(0x8732C599),
                          ),

                          const SizedBox(height: 14),

                          const Text(
                            "نص",
                            style: TextStyle(
                              fontSize: 18,
                              color: Colors.white70,
                            ),
                          ),
                        ],
                      ),
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
